function cmp08600_relacionamento_fornecedores_afController(ScreenService, templateManager, General, maskEngine, MessageService) {
    var fornec;
   
    this.openInsert = function(widget){
        widget.container.getWidget('add_relacao').mode = "edit";
        ScreenService.openSwipe(widget.container.getWidget('add_relacao')); 
        
    };
    this.filterRelacoes = function(widget) {
        ScreenService.openSwipe(widget.container.getWidget('relacoes_table'));
       
        widget.container.getWidget('relacoes_table').dataSourceFilter = [{
            "name": "CDFORNERELACAF",
            "operator": "=",
            "value":  widget.currentRow.CDFORNECED
        }];
        
        fornec = widget.currentRow.CDFORNECED;
        widget.container.getWidget('relacoes_table').reload();
    };
    
    this.searchDsFilter = function(widget) {
        widget.getField('NMFORNECED').dataSourceFilter = [{
            "name": "P_CDFORNECED",
            "operator": "=",
            "value":  fornec
        }];
        widget.getField('NMFORNECED').reload();
    };
    
    this.adicionarRelacao = function(widget) {
        var widForn = widget.container.getWidget('fornecedor_table'); 
        if(widget.isValid()){
            var row = widget.currentRow;
            row.OLDFORNECED = fornec;
            General.callRestEngine('cmp_fornecimento_emissaoAutorizacaoFornecimento#/cmp08600_relacionamento_fornecedores/add', 'Row', row).then(function() {
                ScreenService.closeSwipe();
                widget.getField('NMFORNECED').clearValue();
                widget.getParent().reload();
                widForn.reload();
            });
        }
        else {
            MessageService.showMessageByCode("PREENCHER_CAMPO_CORRETAMENTE");
        }
    };
    
    this.excluirRelacao = function(widget) {
        var widForn = widget.container.getWidget('fornecedor_table'); 
        ScreenService.confirmMessage('Deletar registro?', 'question', function (success) {
            var rows = widget.getCheckedRows();
            rows.forEach(function(row){
                General.callRestEngine('cmp_fornecimento_emissaoAutorizacaoFornecimento#/cmp08600_relacionamento_fornecedores/delete', 'Row', row).then(function() {
                    widget.reload();
                    widget.getParent().reload();
                    widForn.reload();
                    
                    
                });
            });
            
        }, function (error) {
            ScreenService.showMessage(error.data.error);
        });
    };

}

Configuration(function(ContextRegister) {
   ContextRegister.register('cmp08600_relacionamento_fornecedores_afController', cmp08600_relacionamento_fornecedores_afController);
});